<!DOCTYPE HTML>
<html>
<head>
    <title>YourWebHelper</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
    <link rel="stylesheet" href="static/css/main.css" />
    <noscript><link rel="stylesheet" href="static/css/noscript.css" /></noscript>
</head>
<body class="is-preload">
    <!-- Wrapper -->
    <div id="wrapper" class="fade-in">
        <div id="intro">
            <h1><span class="image fit"><img src="static/images/logo.png" alt="" /></span></h1>
            <form action="/login" method="GET" onsubmit="return handleLogin()">
                <h3>Sign In!</h3>
                <div class="row"></div>
                <div class="col-md-auto">
                    <input type="text" placeholder="email" name="email" class="primary" required />
                </div>
                <div class="row"></div>
                <div class="col-md-auto">
                    <input type="password" placeholder="password" name="password" class="primary" required />
                </div>
                <!-- Break -->
                <div class="col-md-auto">
                    <ul class="actions">
                        <li><input type="submit" value="LOGIN" class="primary" /></li>
                    </ul>
                    <a href="/register" class="button primary fit">Sign-Up</a></li>
                </div>
            </form>
        </div>
    </div>
    <div id="error-popup" class="popup" style="display: none;">
        <div class="popup-content">
            <span id="error-message">Mensaje de error personalizado</span>
            <button id="close-popup" onclick="closePopup()">Cerrar</button>
        </div>
    </div>

    <!-- Scripts -->
    <script src="static/js/jquery.min.js"></script>
    <script src="static/js/jquery.scrollex.min.js"></script>
    <script src="static/js/jquery.scrolly.min.js"></script>
    <script src="static/js/browser.min.js"></script>
    <script src="static/js/breakpoints.min.js"></script>
    <script src="static/js/util.js"></script>
    <script src="static/js/main.js"></script>
    <script src="static/js/app.js"></script>

    <script>
        function handleLogin() {
            var email = document.getElementsByName('email')[0].value;
            var password = document.getElementsByName('password')[0].value;

            // Realizar una solicitud al servidor para verificar las credenciales
            fetch('/login', {
                method: 'POST',
                body: JSON.stringify({ email: email, password: password }),
                headers: {
                    'Content-Type': 'application/json'
                }
            })
            .then(response => response.json())
            .then(data => {
                if (data.success) {
                    // Inicio de sesión exitoso, redirige a la página de inicio
                    window.location.href = '/home';
                } else {
                    // Error en el inicio de sesión, muestra el popup
                    showErrorPopup(data.error);
                }
            });

            return false; // Evita el envío del formulario
        }

        function showErrorPopup(message) {
            var errorPopup = document.getElementById('error-popup');
            errorPopup.classList.add('active'); // Agrega la clase 'active' para mostrar el popup
            var errorMessage = document.getElementById('error-message');
            errorMessage.textContent = message;
            errorPopup.style.display = 'block';
        }

        function closePopup() {
            var errorPopup = document.getElementById('error-popup');
            errorPopup.style.display = 'none';
        }
    </script>
</body>
</html>
